Retrieve the current hostname for a specific virtual machine (VM) you manage. This helps identify your server in the network or for configuration purposes.
/instance/[id] path.vmid vmid integer · min: 1 required
Example: 10000 Unique vmid identifier
Accept Example Content-Type Example data object required data.hostname string required
· Example: my-server data.vmid string required
· Example: 10000 requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/vm/{vmid}/hostname curl -X GET "https://cloud.hostup.se/api/vm/10000/hostname" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"hostname": "my-server",
"vmid": "10000"
}
}